Bug 536318 - (RHQ-681) Upload new package UI needs to be customized per type
Upload new package UI needs to be customized per type
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
1.1pre
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: Task
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-16 12:28 EDT by Jason Dobies
Modified: 2010-08-12 15:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 15:49:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Dobies 2008-07-16 12:28:00 EDT
With the addition of the supports architecture flag (RHQ-669), the upload package needs to do some fanciness to determine whether or not to render that drop down based on the type chosen. Additionally, this UI should also show the deployment-time configuration properties based on the type selected.

Ideally, the user would first select the type and the rest of the page would refresh with the appropriate fields. That might be hard with our complex configuration rendering, so this may be implemented as a workflow in which the user first selects the package type and is then brought to the appropriate page.
Comment 1 Red Hat Bugzilla 2009-11-10 16:14:39 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-681
Comment 2 Corey Welton 2010-08-12 15:49:19 EDT
Closing via 12-Aug-2010 triage.  This issue can be reopened later if deemed important.

Note You need to log in before you can comment on or make changes to this bug.